import { get, uget, post, upost } from '@/http/index'

//任务执行情况登记

export const getTaskExecondRegister = async (data) => {
  return await post('/carryingtask/taskExecondRegister/getTaskExecondRegister', data)
}

export const getTaskExecondRegisterItem = async (data) => {
  return await post('/carryingtask/taskExecondRegister/getTaskExecondRegisterItem', data)
}

export const register = async (data) => {
  return await post('/carryingtask/taskExecondRegister/register', data)
}
//下载模板
export const downLoadFile = async (data) => {
  window.open(process.env.VUE_APP_BASE_API + '/carryingtask/taskExecondRegister/downLoadFile')
}
//导出
export const exportExcel = async (data) => {
  window.open(process.env.VUE_APP_BASE_API + `/carryingtask/taskExecondRegister/exportExcel?aircaftCatalogId=${data.aircaftCatalogId}&taskId=${data.taskId}`)
}
